Subject: RE: [Simple] comments on rpids-01 <activity>, <idlesince>

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 1 Jul 2003 08:10:54 -0400

Please note that most cell phones would probably never show "closed",
because they all forward-no-answer to a voicemail system,
thus they will take a call at all times.  If the cellphone carrier's
presence system got rich enough to show both the voicemail system and 
the phone itself as separate tuples, then you might see closed on the phone,
but you might have a tough time with what you do when you momentarily
drop out of range.  I think it would be great if they told you what
they knew, but I'm not holding my breath.

I think <idlesince> is a valuable piece of information, especially
for an aggregator.

Brian

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Monday, June 30, 2003 9:25 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Simple] comments on rpids-01 <activity>, <idlesince>
> 
> 
> [email-masked] wrote:
> > 
> 
> > In the case of mobile phone (cellphone), <idlesince> does 
> not provide
> > any hint as to whether I am likely to be near the phone or not. This
> > was exactly my point inthe earlier posting. If you use the
> > <idlesince> value as an indication of the likelihood of me answering
> > my mobile phone, then you may never call me on my mobile unless I
> > just got off a phone call (its idle all other times). So we need
> > something like OPEN and CLOSED.
> 
> We must be talking past each other. There are three cases:
> 
> - You have your cell phone on and have used it recently (made 
> a call or 
> received a call). The <idle> indication might indicate "last used 5 
> minutes ago". This is a good indication that you will answer 
> that cell 
> phone when I call.
> 
> - You have not used your cellphone for a long time, but it is on (= 
> OPEN). This means that you're not making or receiving a lot of phone 
> calls or that the phone is  silently draining its battery in your 
> bedroom drawer and is too dumb to notice it. There is no way 
> to tell one 
> or the other, short of knowing your location and your cell 
> phone location.
> 
> - The cell phone is off => Set status to CLOSED if you remember to do 
> that or if the phone does it automatically. <idle> doesn't 
> help one way 
> or the other and is not relevant for CLOSED status.
> 
> Thus, for a cell phone, the useful bit of information is a 
> *short* idle 
> time. A long idle time says very little, unless I happen to know that 
> you are a compulsive mobile phone user so that a long idle time might 
> tell me something is amiss.
> 
> > 
> > 
> >> The activity indication (sleeping, driving, etc.) is completely 
> >> separate. Just to avoid misunderstandings, what exactly are you 
> >> referring to as activity?
> > 
> > 
> > I am using the current definition of <activity> with values active
> > and inactive. But I think we agreed that OPEN and CLOSED where a
> > sufficient enough replacement. Did we?
> 
> There was agreement that only <idle> (formerly known as 
> <idletime>) is 
> necessary. As I've tried to explain above, <idle> provides additional 
> information that the basic OPEN and CLOSED status does not.
> 
> Henning
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 1 Jul 2003 08:10:54 -0400

Brian

---

From: Michael Hammer <[email-masked]>
Date: Tue, 01 Jul 2003 17:39:58 -0400

At 08:10 AM 7/1/2003 -0400, Rosen, Brian wrote:
>then you might see closed on the phone,

Sometimes they don't know.

Unless the cell phone has a need to communicate with the network or 
vice-versa, it is not likely to waste battery power to say "I'm still 
here!"  The network pages (searches) for the phone when it needs to.  The 
phone re-registers when it detects it has moved into a new cell area beyond 
where it was previously registered.

If the phone stays in the same registration area, then the phone won't 
necessarily send a message unless an application requires it to.

If the phone loses radio coverage, then it can't send a message, could be 
turned off (CLOSED), but who would know unless the network regularly pings 
it and gets no response.  Also, note that some systems de-register users 
when they shutdown, whereas others may simply overwrite oldest 
registrations as needed.

I see the value in "idlesince".  But, would you indicate CLOSED if you lose 
radio contact (network pings and gets no response), or would you keep the 
last idlesince value?  Or is that network policy?

Mike

---

From: Michael Hammer <[email-masked]>
Date: Tue, 01 Jul 2003 17:39:58 -0400

Mike

---

From: "Chris Boulton" <[email-masked]>
Date: Wed, 2 Jul 2003 10:54:31 +0100

<<in-line>>
 
-----Original Message-----
From: Michael Hammer [mailto:[email-masked]] 
Sent: 01 July 2003 22:40
To: Rosen, Brian
Cc: 'Henning Schulzrinne'; [email-masked];
[email-masked]; [email-masked]
Subject: RE: [Simple] comments on rpids-01 <activity>, <idlesince>

Unless the cell phone has a need to communicate with the network or
vice-versa, it is not likely to waste battery power to say "I'm still
here!"  The network pages (searches) for the phone when it needs to.
The phone re-registers when it detects it has moved into a new cell area
beyond where it was previously registered.

If the phone loses radio coverage, then it can't send a message, could
be turned off (CLOSED), but who would know unless the network regularly
pings it and gets no response.  Also, note that some systems de-register
users when they shutdown, whereas others may simply overwrite oldest
registrations as needed.

I see the value in "idlesince".  But, would you indicate CLOSED if you
lose radio contact (network pings and gets no response), or would you
keep the last idlesince value?  Or is that network policy?
 
[Chris Boulton] I also see value in "idlesince" ;-).  I'm not sure you
could use it's value in conjunction with loss of radio contact.  What
happens when contact is restored BUT you still do not use your phone for
a period of time?  I agree with Brian in that for non-rich presence
systems the status will never be closed due to voicemail policy. 

Mike

---

From: "Chris Boulton" <[email-masked]>
Date: Wed, 2 Jul 2003 10:54:31 +0100

<<in-line>>
 
-----Original Message-----
From: Michael Hammer [mailto:[email-masked]] 
Sent: 01 July 2003 22:40
To: Rosen, Brian
Cc: 'Henning Schulzrinne'; [email-masked];

 

Mike